<?php
/**
 * Shopaholic Customizer controls
 *
 * @package shopaholic
 */

/**
 * Customize some of the default Storefront controls.
 * @return void
 */
function shopaholic_customize_storefront_controls( $wp_customize ) {
	


		$wp_customize->add_section( 'shopaholic_slider_section' , array(
	      'title'       => __( 'Slider Options', 'shopaholic' ),
	      'priority'    => 33,
	      'description' => __( '', 'shopaholic' ),
	    ) );
	    
	    $wp_customize->add_setting( 'shopaholic_slider_area', array(
	      'default' => 'recent',
	      'sanitize_callback' => 'sanitize_text_field',
	    ));
	    
	    $wp_customize->add_control( 'effect_select_box', array(
	      'settings' => 'shopaholic_slider_area',
	      'label' => __( 'What products to show:', 'shopaholic' ),
	      'section' => 'shopaholic_slider_section',
	      'type' => 'select',
	      'choices' => array(
	        'featured' => 'Featured Products',
	        'total_sales' => 'Best Selling Products',
	        'recent' => 'Recent Products',
	        'top_rated' => 'Top Rated Products',
	        'sale' => 'On Sale Products',
	      ),
	      'priority' => 12,
	    ));

	    $wp_customize->add_setting( 'shopaholic_slider_num_show', array (
	    	'default' => 5,
      		'sanitize_callback' => 'shopaholic_check_number',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_slider_num_show', array(
	      'label'    => __( 'Products show at most', 'shopaholic' ),
	      'section'  => 'shopaholic_slider_section',
	      'settings' => 'shopaholic_slider_num_show',
	      'priority'    => 10,
	    ) ) );


		/**
		 * Social Media Icons
		 */
	    $wp_customize->add_section( 'shopaholic_social_section' , array(
	      'title'       => __( 'Social Media Icons', 'shopaholic' ),
	      'priority'    => 42,
	      'description' => __( 'Optional media icons in the header', 'shopaholic' ),
	    ) );
	    
	    $wp_customize->add_setting( 'shopaholic_facebook', array (
      		'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_facebook', array(
	      'label'    => __( 'Enter your Facebook url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_facebook',
	      'priority'    => 101,
	    ) ) );
	  
	    $wp_customize->add_setting( 'shopaholic_twitter', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_twitter', array(
	      'label'    => __( 'Enter your Twitter url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_twitter',
	      'priority'    => 102,
	    ) ) );
	    
	    $wp_customize->add_setting( 'shopaholic_google', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_google', array(
	      'label'    => __( 'Enter your Google+ url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_google',
	      'priority'    => 103,
	    ) ) );
	    
	    $wp_customize->add_setting( 'shopaholic_pinterest', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_pinterest', array(
	      'label'    => __( 'Enter your Pinterest url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_pinterest',
	      'priority'    => 104,
	    ) ) );
	    
	    $wp_customize->add_setting( 'shopaholic_linkedin', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_linkedin', array(
	      'label'    => __( 'Enter your Linkedin url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_linkedin',
	      'priority'    => 105,
	    ) ) );
	    
	    $wp_customize->add_setting( 'shopaholic_youtube', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_youtube', array(
	      'label'    => __( 'Enter your Youtube url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_youtube',
	      'priority'    => 106,
	    ) ) );
	    
	    $wp_customize->add_setting( 'shopaholic_tumblr', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_tumblr', array(
	      'label'    => __( 'Enter your Tumblr url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_tumblr',
	      'priority'    => 107,
	    ) ) );
	    
	    $wp_customize->add_setting( 'shopaholic_instagram', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_instagram', array(
	      'label'    => __( 'Enter your Instagram url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_instagram',
	      'priority'    => 108,
	    ) ) );
	    
	    $wp_customize->add_setting( 'shopaholic_flickr', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_flickr', array(
	      'label'    => __( 'Enter your Flickr url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_flickr',
	      'priority'    => 109,
	    ) ) );
	    
	    $wp_customize->add_setting( 'shopaholic_vimeo', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_vimeo', array(
	      'label'    => __( 'Enter your Vimeo url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_vimeo',
	      'priority'    => 110,
	    ) ) );
	    
	    $wp_customize->add_setting( 'shopaholic_rss', array (
	      'sanitize_callback' => 'esc_url_raw',
	    ) );
	    
	    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'shopaholic_rss', array(
	      'label'    => __( 'Enter your RSS url', 'shopaholic' ),
	      'section'  => 'shopaholic_social_section',
	      'settings' => 'shopaholic_rss',
	      'priority'    => 112,
	    ) ) );
	    
}
