<?php
/**
 * shopaholic setup functions
 *
 * @package shopaholic
 */

function shopaholic_theme_setup() {
	add_image_size( 'shopaholic-thumb-400', 400, 400, true );
	add_image_size( 'shopaholic-slider-size', 800, 500, true );
}

function shopaholic_google_fonts() {
	wp_enqueue_style( 'shopaholic-googleFonts', '//fonts.googleapis.com/css?family=Open+Sans:400,300,600,700,800,400italic' );
}

/**
 * Enqueue scripts and styles.
 * @since  1.0.0
 */
function shopaholic_scripts() {

	wp_enqueue_style( 'shopaholic-flexslider-css', get_stylesheet_directory_uri() . '/css/flexslider.min.css', array(), '' );

	wp_enqueue_style( 'storefront-style', get_template_directory_uri() . '/style.css' ); //parent style	

	if ( class_exists( 'WooCommerce' ) ) { 
		wp_enqueue_script( 'shopaholic-flexslider-js', get_stylesheet_directory_uri() . '/js/jquery.flexslider-min.js', array(), '', true );
	
		wp_enqueue_script( 'shopaholic-main-js', get_stylesheet_directory_uri() . '/js/main.js', array(), '', true );
	}
	wp_enqueue_script( 'shopaholic-nav-js', get_stylesheet_directory_uri() . '/js/main-nav.js', array(), '', true );
}