<?php
/**
 * shopaholic engine room
 *
 * @package shopaholic
 */


/*
 * Structure.
 * Template functions used throughout the theme.
 */
require get_stylesheet_directory() . '/inc/structure/structure-hooks.php';
require get_stylesheet_directory() . '/inc/structure/structure-header.php';
require get_stylesheet_directory() . '/inc/structure/structure-post.php';
require get_stylesheet_directory() . '/inc/structure/structure-template-tags.php';
require get_stylesheet_directory() . '/inc/structure/structure-footer.php';


/**
 * Custom functions that act independently of the theme templates.
 */
require get_stylesheet_directory() . '/inc/functions/func-extras.php';
require get_stylesheet_directory() . '/inc/functions/shopaholic-setup.php';


/**
 * Customizer additions.
 */
if ( is_shopaholic_customizer_enabled() ) {
	require get_stylesheet_directory() . '/inc/customizer/customize-hooks.php';
	require get_stylesheet_directory() . '/inc/customizer/customize-controls.php';
	require get_stylesheet_directory() . '/inc/customizer/customize-display.php';
	require get_stylesheet_directory() . '/inc/customizer/customize-functions.php';
	require get_stylesheet_directory() . '/inc/customizer/customize-colors.php';
}

/**
 * Load WooCommerce compatibility files.
 */
if ( is_woocommerce_activated() ) {
	require get_stylesheet_directory() . '/inc/woocommerce/woo-hooks.php';
}